body {
  margin: 0;
  background-color: #938366;
  color: #938366;
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

header {
  text-align: center;
  padding: 2rem 1rem;
  background-color: #fffaf5;
  border: 15px solid #938366; 
  padding-bottom: 1rem;
  margin-bottom: 1rem;
}

h1 {
  margin: 0;
  font-size: 100px;
  color: #695e49;
}

.great-vibes-regular {
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
}

#logo{
  height: 150px;
  position: absolute;
  left: -20px;
  top: 20px;
}

.product-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 2rem;
  padding: 2rem;
}

.product-card {
  background-color: #fffaf5;
  border: 1px solid #fffaf5;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 2px 5px rgba(0,0,0,0.05);
  display: flex;
  flex-direction: column;
  max-width: 220px;
}

.product-card img {
  width: 100%;
  height: 180px;
  object-fit: cover;
}

.product-card .info {
  padding: 1rem;
  flex-grow: 1;
}

.product-card h3 {
  margin: 0 0 0.5rem;
  font-size: 1.2rem;
}

.product-card p {
  margin: 0;
  font-size: 0.9rem;
  color: #938366;
}

.product-card button {
  background-color: #89543a;
  color: white;
  padding: 0.4rem 1rem;
  font-size: 0.9rem;
  border: none;
  border-radius: 6px;
  margin: 1rem auto;
  display: block;
}

button:hover {
  background-color: #b67d5c;
}

#list{
  font-size: 50px;
}

.shopping-list {
  background-color: #fffaf5;
  border: 15px solid #938366; 
  padding: 2rem;
}

.shopping-list ul {
  list-style: none;
  padding: 0;
}

.shopping-list li {
  display: flex;
  justify-content: space-between;
  margin-bottom: 0.5rem;
}

.total {
  font-weight: bold;
  font-size: 1.2rem;
  margin-top: 1rem;
}

.filters {
  display: flex;
  justify-content: center;
  gap: 1rem;
  margin: 1rem 2rem;
  flex-wrap: wrap;
}

.filters input, .filters select {
  padding: 0.5rem;
  font-size: 1rem;
  border-radius: 6px;
  border: 1px solid #938366;
}

.shopping-list li button {
  margin-left: 0.5rem;
  background-color: #938366;
  font-size: 0.8rem;
}

.shopping-list li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.3rem 0;
  border-bottom: 1px solid #e0d4c7;
}

.quantity-control {
  display: flex;
  align-items: center;
  border-radius: 1.5rem;
  padding: 0.2rem 0.5rem;
  gap: 0.5rem;
}

.quantity-control button {
  color:  #fffaf5;
  width: 24px;
  height: 24px;
  font-size: 1.5rem;
  border-radius: 50%;
  cursor: pointer;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.quantity-control span {
  min-width: 20px;
  text-align: center;
  font-weight: bold;
  color: #333;
}



